Subject: RE: gcc -o
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 30 Jun 1999 20:41:04 -0400

> Do you know if the DLL libraries may be linked to java? I am
> trying to link
> java to c via the native code interface. I suceeded under unix
> but I wanted to
> port it to windows. This was the reason I was trying to create the above
> libraries.
>

Yes they can be linked to DLl, by linked to libxx.a (the place holder libs).
I do not know much of Java and I am not sure about Java support in Cygwin.
Therefore I am forwarding your message to Cygwin mailing list. someone
who knows more about java support in Cygwin may help you.

Suhaib

> Suhaib M. Siddiqi wrote:
>
> > Ok, Thanks.
> >
> > But you need to read how to create Dlls.  Shareed objects (*.so)
> > is not a standard thing on Windows and you may run into troubles.
> > I do not have time to go step by step into this procedure.
> > It requires a knowledge of C/C++ programming and a basic understanding
> > of generating a code which can generated exported symbols.
> >
> > There is plenty of info about DLLs on sourceware.cygnus.com/cygwin
> > mail archive.
> >
> > Suhaib
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: Wednesday, June 30, 1999 8:23 PM
> > > To: Suhaib M. Siddiqi
> > > Subject: Re: gcc -o
> > >
> > >
> > >
> > >
> > > > Also, what does libglu.so mean?  I am not aware of
> libglu.so for Cygwin.
> > > > Ther is a libMesaGL.a and libMesaGLU.a, also libGL.a and libGLU.a
> > > > The glu.dll does exist.
> > >
> > > The packege I am trying to generate is glu-1.3 a standard
> symbolic model
> > > checking package. It is available at Berkeley.
> > >
> > > radu
> > >
> > >
>
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]